package com.demoad.plugin_codelab.adhelper.utils;


import com.demoad.plugin_codelab.adhelper.helpers.SharedPreferencesClass;

public class Pack5AdsPreferenceClass {

    public static final String CONFIG_DATA = "pack5_config_data";
    public static final String ID = "pack5_id";
    public static final String ADTYPE = "pack5_adtype";
    public static final String ALL_AD_ENABLE = "pack5_all_ad_enable";
    public static final String ENABLE_BANNER = "pack5_enable_banner";
    public static final String ENABLE_NATIVE = "pack5_enable_native";
    public static final String ENABLE_INTERSTITIAL = "pack5_enable_interstitial";
    public static final String ENABLE_OPENAD = "pack5_enable_openad";

    public static final String INTERSTITIAL_AD_CLICK = "pack5_interstitial_ad_click";
    public static final String INTERSTITIAL_AD_SESSION = "pack5_interstitial_ad_session";
    public static final String INTERSTITIAL_EXIT_AD_ENABLE = "pack5_interstitial_exit_ad_enable";
    public static final String APP_OPEN_COUNT = "pack5_app_open_count";
    public static final String SPLASH_ON = "pack5_splash_on";
    public static final String SPLASH_TIME = "pack5_splash_time";

    public static final String ADMOB_BANNER_ID = "pack5_admob_banner_id";
    public static final String ADMOB_NATIVE_ID = "pack5_admob_native_id";
    public static final String ADMOB_INTERSTITIAL_ID = "pack5_admob_interstitial_id";
    public static final String ADMOB_OPENAD_ID = "pack5_admob_openad_id";

    public static final String ADX_BANNER_ID = "pack5_adx_banner_id";
    public static final String ADX_NATIVE_ID = "pack5_adx_native_id";
    public static final String ADX_INTERSTITIAL_ID = "pack5_adx_interstitial_id";
    public static final String ADX_OPENAD_ID = "pack5_adx_openad_id";

    public static final String FB_BANNER_ID = "pack5_fb_banner_id";
    public static final String FB_NATIVE_ID = "pack5_fb_native_id";
    public static final String FB_INTERSTITIAL_ID = "pack5_fb_interstitial_id";
    public static final String FB_NATIVE_BANNER_ID = "pack5_fb_native_banner_id";
    public static final String NATIVE_TYPE = "native_type";
    public static final String IS_RECYCLE_NATIVE = "is_recycle_native";

    public static final String PRIVACY_POLICY = "privacy_policy";





    //
    public static String getConfigData() {
        return SharedPreferencesClass.getInstance().getString(CONFIG_DATA, "");
    }
    public static void setConfigData(String key) {
        SharedPreferencesClass.getInstance().setString(CONFIG_DATA, key);
    }

    //
    public static int getId() {
        return SharedPreferencesClass.getInstance().getInt(ID, 0);
    }
    public static void setId(int key) {
        SharedPreferencesClass.getInstance().setInt(ID, key);
    }


    public static String getAdtype() {
        return SharedPreferencesClass.getInstance().getString(ADTYPE, "");
    }
    public static void setAdtype(String key) {
        SharedPreferencesClass.getInstance().setString(ADTYPE, key);
    }

    public static int getAllAdEnable() {
        return SharedPreferencesClass.getInstance().getInt(ALL_AD_ENABLE, 0);
    }
    public static void setAllAdEnable(int key) {
        SharedPreferencesClass.getInstance().setInt(ALL_AD_ENABLE, key);
    }
    public static int getEnableBanner() {
        return SharedPreferencesClass.getInstance().getInt(ENABLE_BANNER, 0);
    }
    public static void setEnableBanner(int key) {
        SharedPreferencesClass.getInstance().setInt(ENABLE_BANNER, key);
    }
    public static int getEnableInterstitial() {
        return SharedPreferencesClass.getInstance().getInt(ENABLE_INTERSTITIAL, 0);
    }
    public static void setEnableInterstitial(int key) {
        SharedPreferencesClass.getInstance().setInt(ENABLE_INTERSTITIAL, key);
    }
    public static int getEnableNative() {
        return SharedPreferencesClass.getInstance().getInt(ENABLE_NATIVE, 0);
    }
    public static void setEnableNative(int key) {
        SharedPreferencesClass.getInstance().setInt(ENABLE_NATIVE, key);
    }
    public static int getEnableOpenad() {
        return SharedPreferencesClass.getInstance().getInt(ENABLE_OPENAD, 0);
    }
    public static void setEnableOpenad(int key) {
        SharedPreferencesClass.getInstance().setInt(ENABLE_OPENAD, key);
    }


    //

    public static int getInterstitialAdClick() {
        return SharedPreferencesClass.getInstance().getInt(INTERSTITIAL_AD_CLICK, 0);
    }
    public static void setInterstitialAdClick(int key) {
        SharedPreferencesClass.getInstance().setInt(INTERSTITIAL_AD_CLICK, key);
    }
    public static int getInterstitialAdSession() {
        return SharedPreferencesClass.getInstance().getInt(INTERSTITIAL_AD_SESSION, 0);
    }
    public static void setInterstitialAdSession(int key) {
        SharedPreferencesClass.getInstance().setInt(INTERSTITIAL_AD_SESSION, key);
    }

    public static int getInterstitialExitAdEnable() {
        return SharedPreferencesClass.getInstance().getInt(INTERSTITIAL_EXIT_AD_ENABLE, 0);
    }
    public static void setInterstitialExitAdEnable(int key) {
        SharedPreferencesClass.getInstance().setInt(INTERSTITIAL_EXIT_AD_ENABLE, key);
    }

    public static int getAppOpenCount() {
        return SharedPreferencesClass.getInstance().getInt(APP_OPEN_COUNT, 0);
    }
    public static void setAppOpenCount(int key) {
        SharedPreferencesClass.getInstance().setInt(APP_OPEN_COUNT, key);
    }

    public static int getSplashOn() {
        return SharedPreferencesClass.getInstance().getInt(SPLASH_ON, 1);
    }
    public static void setSplashOn(int key) {
        SharedPreferencesClass.getInstance().setInt(SPLASH_ON, key);
    }
    public static int getSplashTime() {
        return SharedPreferencesClass.getInstance().getInt(SPLASH_TIME, 0);
    }
    public static void setSplashTime(int key) {
        SharedPreferencesClass.getInstance().setInt(SPLASH_TIME, key);
    }


    //

    public static String getAdmobBannerId() {
        return SharedPreferencesClass.getInstance().getString(ADMOB_BANNER_ID, "");
    }
    public static void setAdmobBannerId(String key) {
        SharedPreferencesClass.getInstance().setString(ADMOB_BANNER_ID, key);
    }

    public static String getAdmobNativeId() {
        return SharedPreferencesClass.getInstance().getString(ADMOB_NATIVE_ID, "");
    }
    public static void setPrivacyPolicy(String key) {
        SharedPreferencesClass.getInstance().setString(PRIVACY_POLICY, key);
    }

    public static String getPrivacyPolicy() {
        return SharedPreferencesClass.getInstance().getString(PRIVACY_POLICY, "");
    }



    public static void setAdmobNativeId(String key) {
        SharedPreferencesClass.getInstance().setString(ADMOB_NATIVE_ID, key);
    }

    public static String getAdmobInterstitialId() {
        return SharedPreferencesClass.getInstance().getString(ADMOB_INTERSTITIAL_ID, "");
    }
    public static void setAdmobInterstitialId(String key) {
        SharedPreferencesClass.getInstance().setString(ADMOB_INTERSTITIAL_ID, key);
    }

    public static String getAdmobOpenadId() {
        return SharedPreferencesClass.getInstance().getString(ADMOB_OPENAD_ID, "");
    }
    public static void setAdmobOpenadId(String key) {
        SharedPreferencesClass.getInstance().setString(ADMOB_OPENAD_ID, key);
    }

    //

    public static String getAdxBannerId() {
        return SharedPreferencesClass.getInstance().getString(ADX_BANNER_ID, "");
    }
    public static void setAdxBannerId(String key) {
        SharedPreferencesClass.getInstance().setString(ADX_BANNER_ID, key);
    }

    public static String getAdxNativeId() {
        return SharedPreferencesClass.getInstance().getString(ADX_NATIVE_ID, "");
    }
    public static void setAdxNativeId(String key) {
        SharedPreferencesClass.getInstance().setString(ADX_NATIVE_ID, key);
    }

    public static String getAdxInterstitialId() {
        return SharedPreferencesClass.getInstance().getString(ADX_INTERSTITIAL_ID, "");
    }
    public static void setAdxInterstitialId(String key) {
        SharedPreferencesClass.getInstance().setString(ADX_INTERSTITIAL_ID, key);
    }

    public static String getAdxOpenadId() {
        return SharedPreferencesClass.getInstance().getString(ADX_OPENAD_ID, "");
    }
    public static void setAdxOpenadId(String key) {
        SharedPreferencesClass.getInstance().setString(ADX_OPENAD_ID, key);
    }
    //

    public static String getFbBannerId() {
        return SharedPreferencesClass.getInstance().getString(FB_BANNER_ID, "");
    }
    public static void setFbBannerId(String key) {
        SharedPreferencesClass.getInstance().setString(FB_BANNER_ID, key);
    }

    public static String getFbNativeId() {
        return SharedPreferencesClass.getInstance().getString(FB_NATIVE_ID, "");
    }
    public static void setFbNativeId(String key) {
        SharedPreferencesClass.getInstance().setString(FB_NATIVE_ID, key);
    }

    public static String getFbInterstitialId() {
        return SharedPreferencesClass.getInstance().getString(FB_INTERSTITIAL_ID, "");
    }
    public static void setFbInterstitialId(String key) {
        SharedPreferencesClass.getInstance().setString(FB_INTERSTITIAL_ID, key);
    }

    public static String getFbNativeBannerId() {
        return SharedPreferencesClass.getInstance().getString(FB_NATIVE_BANNER_ID, "");
    }
    public static void setFbNativeBannerId(String key) {
        SharedPreferencesClass.getInstance().setString(FB_NATIVE_BANNER_ID, key);
    }

    public static String getNativeType() {
        return SharedPreferencesClass.getInstance().getString(NATIVE_TYPE, "");
    }
    public static void setNativeType(String type) {
        SharedPreferencesClass.getInstance().setString(NATIVE_TYPE, type);
    }

    public static Boolean getIsRecycleNative() {
        return SharedPreferencesClass.getInstance().getBoolean(IS_RECYCLE_NATIVE, true);
    }
    public static void setIsRecycleNative(boolean shownative) {
        SharedPreferencesClass.getInstance().setBoolean(IS_RECYCLE_NATIVE, shownative);
    }
}
